#### PyKDE - Python Bindings for KDE

# class KParts.BrowserHostExtension |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | KParts.BrowserHostExtension
Inherits | TQObject

### methods

- BrowserHostExtension (parent, name = 0)

  returns a BrowserHostExtension instance
  Argument | Type | Default
  --- | --- | ---
  parent | KParts.ReadOnlyPart |
  name | char | 0

- childObject (obj)

  returns (KParts.BrowserHostExtension)
  static
  Argument | Type | Default
  --- | --- | ---
  obj | TQObject |

- findFrameParent (callingPart, frame)

  returns (KParts.BrowserHostExtension)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  callingPart | KParts.ReadOnlyPart |
  frame | TQString |

- frameNames ()

  returns (TQStringList)

- frames ()

  returns (TQPtrList)

- openURLInFrame (url, urlArgs)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  url | KURL |
  urlArgs | KParts.URLArgs |